package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ActiveDeviceSnRespVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ActiveDeviceSnRespVo   {
  @JsonProperty("sn")
  private String sn;

  @JsonProperty("status")
  private Integer status;

  public ActiveDeviceSnRespVo sn(String sn) {
    this.sn = sn;
    return this;
  }

  /**
   * Get sn
   * @return sn
  */
  @ApiModelProperty(value = "")


  public String getSn() {
    return sn;
  }

  public void setSn(String sn) {
    this.sn = sn;
  }

  public ActiveDeviceSnRespVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Active device status should be a value as follows: 0: success; -1: failed; -2002: device already active; -2003: license not enough; -2011: license category not match device;) 
   * @return status
  */
  @ApiModelProperty(value = "Active device status should be a value as follows: 0: success; -1: failed; -2002: device already active; -2003: license not enough; -2011: license category not match device;) ")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActiveDeviceSnRespVo activeDeviceSnRespVo = (ActiveDeviceSnRespVo) o;
    return Objects.equals(this.sn, activeDeviceSnRespVo.sn) &&
        Objects.equals(this.status, activeDeviceSnRespVo.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sn, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ActiveDeviceSnRespVo {\n");
    
    sb.append("    sn: ").append(toIndentedString(sn)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

